# Class PRS_SolutionHasElement
extends CIM_Dependency

PRS_SolutionHasElement is an abstract base class for associating PRS_Solution with objects derived from PRS_SolutionElement. This association class allows all PRS_Reference, PRS_Problem and PRS_Resolution objects to be retrieved with a single query.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--PRS_SolutionHasElement

## Direct Known Subclasses

PRS_SolutionProblem
PRS_SolutionReference
PRS_SolutionResolution

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Abstract | boolean | true
Aggregation | boolean | true
Association | boolean | true
Description | string | PRS_SolutionHasElement is an abstract base class for associating PRS_Solution with objects derived from PRS_SolutionElement. This association class allows all PRS_Reference, PRS_Problem and PRS_Resolution objects to be retrieved with a single query.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | PRS_SolutionHasElement | PRS_Solution
Dependent | PRS_SolutionHasElement | PRS_SolutionElement

## Class Methods